# Interface methods for submodule: FRPROptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PowellOptimizerProxy as _PowellOptimizerProxy


# Interface methods for class: FRPROptimizer
class FRPROptimizerProxy(_PowellOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetUseUnitLengthGradient(self, _arg: bool) -> None:
		""""""
		...

	def GetUseUnitLengthGradient(self) -> bool:
		""""""
		...

	def UseUnitLengthGradientOn(self) -> None:
		""""""
		...

	def UseUnitLengthGradientOff(self) -> None:
		""""""
		...

	def StartOptimization(self) -> None:
		""""""
		...

	def SetToFletchReeves(self) -> None:
		""""""
		...

	def SetToPolakRibiere(self) -> None:
		""""""
		...

